{ config, pkgs, ... }:

{
  hardware.printers.ensureDefaultPrinter = "hsr-mfp-8261";
  hardware.printers.ensurePrinters = [{
    name = "hsr-mfp-8261";
    deviceUri = "smb://hsr.ch/printsrv-d.hsr.ch/d8261-a4mfp";
    location = "HSR 8.261";
    model = "HP/hp-color_laserjet_mfp_m577-ps.ppd.gz";
    ppdOptions = {
      Duplex = "DuplexNoTumble";
      PageSize = "A4";
      auth-info-required = "username,password";
    };
  }];
}
